#include<stdio.h>
#include<iostream>
int a[1000];
int broj[1000];
using namespace std;
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	int k=0;
	int q=0;
	int x,y,z;
	cin >> x >> y >> z;
	while(x>0)
	{
		a[k]=x%10;
		k++;
		x=x/10;
	}
	while(y>0)
	{
		a[k]=y%10;
		k++;
		y=y/10;
	}
	while(z>0)
	{
		a[k]=z%10;
		k++;
		z=z/10;
	}
	for(int i=9;i>=0;i--)
	{
		for(int j=0;j<k;j++)
		{
			if(a[j]==i)
			{
				broj[q]=a[j];
				a[j]=10;
				q++;
				k--;
			}
		}
	}
	for(int i=0;i<q;i++)
	cout << broj[i];
}